// Defines the application UI class for the Voice Daemon app. This is
// responsible for handling user input.

#ifndef VOICE_DAEMON_APP_UI_H
#define VOICE_DAEMON_APP_UI_H

#include <eikappui.h>

#include "VoiceDaemonAppView.h"
#include "VoiceDaemon.hrh"

class CVoiceDaemonAppUi : public CEikAppUi
	{
public:
	void ConstructL();
	TKeyResponse HandleKeyEventL(const TKeyEvent& aKeyEvent, TEventCode aType);
	void SetDisplayText(const TDesC& aText);
	void CancelCaptureKey();
	void CaptureKey();
	~CVoiceDaemonAppUi();

private: // from CEikAppUi
	void HandleCommandL(TInt aCommand);

	TInt iCaptureKeyHandle;
	CVoiceDaemonAppView* iAppView;
	CVoiceRecorder* iVoiceRecorder;
	};

#endif