// Defines the application view class for the Voice Daemon app. This class
// is responsible for drawing the (very simple) display.

#ifndef VOICE_DAEMON_APP_VIEW_H
#define VOICE_DAEMON_APP_VIEW_H

#include <eikenv.h>
#include <coeccntx.h>
#include <coecntrl.h>

#include "VoiceDaemonDocument.h"

class CVoiceDaemonAppView : public CCoeControl, public MCoeControlBrushContext
	{
public:
	~CVoiceDaemonAppView();
	void ConstructL(const TRect& aRect, CVoiceRecorder* aVoiceRecorder,
		CVoiceDaemonDocument *aDocument);
	void SetDisplayText(const TDesC& aText);

private: // from CCoeControl
	void Draw(const TRect& /*aRect*/) const;
	CVoiceRecorder* iVoiceRecorder;
	HBufC* iDisplayText;
	CVoiceDaemonDocument *iDoc;
	};

#endif