// This file defines the CVoiceDaemonDialer class. This class implements
// all functionality related to dialling voice calls. It is an active
// object and performs its function asynchronously.

#ifndef VOICE_DAEMON_DIALER_H
#define VOICE_DAEMON_DIALER_H

#include <etel.h>

#include "VoiceDaemonDocument.h"

class CVoiceDaemonDialer : public CActive
	{
public:
	CVoiceDaemonDialer(CVoiceDaemonDocument* aDocument);
	~CVoiceDaemonDialer();
	virtual void StartL(const TDesC& aPhoneNumber);
	void HangUp();
	virtual void RunL();
	virtual void DoCancel();

private:
	void CloseCall();

	CVoiceDaemonDocument* iDocument;
	TBuf<256> iPhoneNumber;
	RCall iPhoneCall;
	RLine iPhoneLine;
	RPhone iPhone;
	RTelServer iTelServer;
	};

#endif