#include "VoiceDaemonAppView.h"

////////////////////////////////////////////////////////////////
//
// Application view class, CVoiceDaemonAppView.
// This class provides the application's GUI, which is very limited.
//
////////////////////////////////////////////////////////////////

void CVoiceDaemonAppView::ConstructL(const TRect& aRect, CVoiceRecorder* aVoiceRecorder,
									 CVoiceDaemonDocument* aDoc)
    {
	iVoiceRecorder = aVoiceRecorder;
	iDoc = aDoc;
    CreateWindowL();
    SetRect(aRect);
    ActivateL();

	iDisplayText = HBufC::NewL(0);
    }

void CVoiceDaemonAppView::Draw(const TRect& /*aRect*/) const
	{
	CWindowGc& gc = SystemGc();
	// Clear the application view
	gc.Clear();

	const CFont* fontUsed;

    // Use the title font supplied by the UI
	fontUsed = CEikonEnv::Static()->TitleFont();
	gc.UseFont(fontUsed);

	// Draw the text in the middle of the view rectangle.
	TInt baselineOffset = (Rect().Height() - fontUsed->HeightInPixels()) / 2; 
	gc.DrawText(*iDisplayText, Rect(), baselineOffset, CGraphicsContext::ECenter, 0);

    // Finished using the font
	gc.DiscardFont();
	}

// This function sets the text to be displayed in the centre of the view.
void CVoiceDaemonAppView::SetDisplayText(const TDesC& aText)
	{
	delete iDisplayText;
	iDisplayText = NULL;
	iDisplayText = aText.AllocL();
	}

CVoiceDaemonAppView::~CVoiceDaemonAppView()
	{
	delete iDisplayText;
	}