// This file contains the main entry point for the VoiceDaemon
// application. It's very simple; all construction is performed
// in the VoiceDaemonDocument class.

#include <apgtask.h>
#include <apgcli.h>
#include <eikenv.h>

#include "VoiceDaemonApplication.h"
#include "VoiceDaemonDocument.h"

////////////////////////////////////////////////////////////////
//
// EXPORTed functions
//
////////////////////////////////////////////////////////////////

EXPORT_C CApaApplication* NewApplication()
	{
	// If there's an existing instance of the voice recorder daemon,
	// kill it. We have to do this right at the beginning of startup, or
	// it'll try to kill itself!
	TApaTaskList taskList(CEikonEnv::Static()->WsSession());
	TUid daemonUid;
	daemonUid.iUid = KUidVoiceDaemon.iUid;
	TApaTask daemon = taskList.FindApp(daemonUid);
	daemon.EndTask();

	return new CVoiceDaemonApplication;
	}

GLDEF_C TInt E32Dll(TDllReason)
	{
	return KErrNone;
	}


////////////////////////////////////////////////////////////////
//
// Application class, CVoiceDaemonApplication
//
////////////////////////////////////////////////////////////////

TUid CVoiceDaemonApplication::AppDllUid() const
	{
	return KUidVoiceDaemon;
	}

CApaDocument* CVoiceDaemonApplication::CreateDocumentL()
	{
	// Construct the document using its NewL() function, rather 
	// than using new (ELeave), because it requires two-phase
	// construction.
	return CVoiceDaemonDocument::NewL(*this);
	}